Skip to main content
POST
/
charts
Generate a full chart
curl --request POST \
  --url https://api.humandesignapi.nl/v2/charts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'HD-Geocode-Key: <api-key>' \
  --data '
{
  "birthdate": "1990-01-15",
  "birthtime": "14:30",
  "location": "Amsterdam, The Netherlands"
}
'
{
  "timestamp": "2026-03-24T12:00:00.000Z",
  "success": true,
  "message": "Chart generated",
  "errorCode": "",
  "type": "ChartResult",
  "data": {
    "type": "Generator",
    "profile": "6/2",
    "channelsShort": [
      "20-34",
      "10-57"
    ],
    "centers": [
      "G",
      "Sacral",
      "Spleen",
      "Throat"
    ],
    "strategy": "To Respond",
    "authority": "Sacral",
    "incarnationCross": "Right Angle Cross of Tension (39/38 | 51/57)",
    "definition": "Split Definition",
    "signature": "Satisfaction",
    "notSelfTheme": "Frustration",
    "cognition": "Smell",
    "determination": "Calm Appetite",
    "variables": "PLL DRL",
    "motivation": "Hope",
    "transference": "Guilt",
    "perspective": "Survival",
    "distraction": "Power",
    "environment": "Selective Caves",
    "circuitries": "Individual, Tribal",
    "channelsLong": [
      "The Channel of Charisma (20-34)",
      "The Channel of the Brainwave (57-10)"
    ],
    "gates": [
      "20",
      "34",
      "10",
      "57"
    ],
    "activations": {
      "design": {
        "sun": "20.1",
        "earth": "34.1",
        "northNode": "10.3",
        "southNode": "15.3",
        "moon": "57.4",
        "mercury": "48.2",
        "venus": "18.5",
        "mars": "28.1",
        "jupiter": "32.6",
        "saturn": "50.3",
        "uranus": "44.2",
        "neptune": "26.4",
        "pluto": "54.1"
      },
      "personality": {
        "sun": "20.1",
        "earth": "34.1",
        "northNode": "10.3",
        "southNode": "15.3",
        "moon": "57.4",
        "mercury": "48.2",
        "venus": "18.5",
        "mars": "28.1",
        "jupiter": "32.6",
        "saturn": "50.3",
        "uranus": "44.2",
        "neptune": "26.4",
        "pluto": "54.1"
      }
    },
    "birthDateUtc": "1990-01-15T13:30:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

API key used as Bearer token in the Authorization header

HD-Geocode-Key
string
header
required

Google Geocoding API key

Body

application/json
birthdate
string
required

Date of birth in YYYY-MM-DD format

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"1990-01-15"

birthtime
string
required

Time of birth in HH:MM format (24-hour)

Pattern: ^\d{2}:\d{2}$
Example:

"14:30"

location
string
required

Location of birth (city, country)

Required string length: 4 - 200
Example:

"Amsterdam, The Netherlands"

Response

Chart generated successfully

Standard API response envelope wrapping all responses

timestamp
string<date-time>
required

ISO 8601 timestamp of response generation

Example:

"2026-03-24T12:00:00.000Z"

success
boolean
required

Whether the request succeeded

Example:

true

message
string
required

Human-readable success or error message

Example:

"Chart generated"

errorCode
string
required

Machine-readable error code (empty string on success)

Example:

""

type
string
required

Data type name of the object in the data field

Example:

"ChartResult"

data
object
required

Full Human Design chart with all properties